diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/safe_compare_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/safe_compare_gn/moz.build
--- third_party/libwebrtc/rtc_base/safe_compare_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/safe_compare_gn/moz.build	2022-06-12 05:56:24.800493401 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("safe_compare_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/safe_conversions_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/safe_conversions_gn/moz.build
--- third_party/libwebrtc/rtc_base/safe_conversions_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/safe_conversions_gn/moz.build	2022-06-12 05:56:24.842827875 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -140,7 +143,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -156,7 +159,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -190,4 +193,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("safe_conversions_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/safe_minmax_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/safe_minmax_gn/moz.build
--- third_party/libwebrtc/rtc_base/safe_minmax_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/safe_minmax_gn/moz.build	2022-06-12 05:56:24.791922668 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -140,7 +143,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -156,7 +159,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -190,4 +193,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("safe_minmax_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/sanitizer_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/sanitizer_gn/moz.build
--- third_party/libwebrtc/rtc_base/sanitizer_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/sanitizer_gn/moz.build	2022-06-12 05:56:24.807610360 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("sanitizer_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/stringutils_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/stringutils_gn/moz.build
--- third_party/libwebrtc/rtc_base/stringutils_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/stringutils_gn/moz.build	2022-06-12 05:56:24.796219691 +0900
@@ -71,14 +71,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -152,7 +155,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -168,7 +171,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -210,4 +213,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("stringutils_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/synchronization/mutex_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/synchronization/mutex_gn/moz.build
--- third_party/libwebrtc/rtc_base/synchronization/mutex_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/synchronization/mutex_gn/moz.build	2022-06-12 05:56:24.814760290 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("mutex_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/synchronization/rw_lock_wrapper_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/synchronization/rw_lock_wrapper_gn/moz.build
--- third_party/libwebrtc/rtc_base/synchronization/rw_lock_wrapper_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/synchronization/rw_lock_wrapper_gn/moz.build	2022-06-12 05:56:24.813323838 +0900
@@ -71,14 +71,17 @@
         "/third_party/libwebrtc/rtc_base/synchronization/rw_lock_posix.cc"
     ]
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -168,7 +171,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -184,7 +187,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -226,4 +229,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("rw_lock_wrapper_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/synchronization/sequence_checker_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/synchronization/sequence_checker_gn/moz.build
--- third_party/libwebrtc/rtc_base/synchronization/sequence_checker_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/synchronization/sequence_checker_gn/moz.build	2022-06-12 05:56:24.819059668 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("sequence_checker_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/synchronization/yield_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/synchronization/yield_gn/moz.build
--- third_party/libwebrtc/rtc_base/synchronization/yield_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/synchronization/yield_gn/moz.build	2022-06-12 05:56:24.817627514 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -144,7 +147,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -160,7 +163,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -202,4 +205,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("yield_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/synchronization/yield_policy_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/synchronization/yield_policy_gn/moz.build
--- third_party/libwebrtc/rtc_base/synchronization/yield_policy_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/synchronization/yield_policy_gn/moz.build	2022-06-12 05:56:24.816191142 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("yield_policy_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/system/arch_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/system/arch_gn/moz.build
--- third_party/libwebrtc/rtc_base/system/arch_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/system/arch_gn/moz.build	2022-06-12 05:56:24.835672895 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("arch_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/system/asm_defines_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/system/asm_defines_gn/moz.build
--- third_party/libwebrtc/rtc_base/system/asm_defines_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/system/asm_defines_gn/moz.build	2022-06-12 05:56:24.823116271 +0900
@@ -57,4 +57,13 @@
     DEFINES["DYNAMIC_ANNOTATIONS_ENABLED"] = "1"
     DEFINES["_DEBUG"] = True
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("asm_defines_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/system/cocoa_threading_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/system/cocoa_threading_gn/moz.build
--- third_party/libwebrtc/rtc_base/system/cocoa_threading_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/system/cocoa_threading_gn/moz.build	2022-06-12 05:56:24.831403503 +0900
@@ -54,4 +54,13 @@
     DEFINES["WEBRTC_ARCH_ARM64"] = True
     DEFINES["WEBRTC_HAS_NEON"] = True
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("cocoa_threading_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/system/file_wrapper_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/system/file_wrapper_gn/moz.build
--- third_party/libwebrtc/rtc_base/system/file_wrapper_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/system/file_wrapper_gn/moz.build	2022-06-12 05:56:24.832830057 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("file_wrapper_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/system/ignore_warnings_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/system/ignore_warnings_gn/moz.build
--- third_party/libwebrtc/rtc_base/system/ignore_warnings_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/system/ignore_warnings_gn/moz.build	2022-06-12 05:56:24.828794684 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("ignore_warnings_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/system/inline_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/system/inline_gn/moz.build
--- third_party/libwebrtc/rtc_base/system/inline_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/system/inline_gn/moz.build	2022-06-12 05:56:24.827375654 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("inline_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/rtc_base/system/rtc_export_gn/moz.build firefox-101.0.1/third_party/libwebrtc/rtc_base/system/rtc_export_gn/moz.build
--- third_party/libwebrtc/rtc_base/system/rtc_export_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/rtc_base/system/rtc_export_gn/moz.build	2022-06-12 05:56:24.834255929 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("rtc_export_gn")
